Index: src/sas/qtgui/SlitSizeCalculator.py
===================================================================
--- src/sas/qtgui/SlitSizeCalculator.py	(revision 3a0ce4f996ce85ad53dba3242e6a032ce29ae8ce)
+++ src/sas/qtgui/SlitSizeCalculator.py	(revision debf5c3b08f61c4453e07a7454242eb2d96bfe9a)
@@ -3,6 +3,4 @@
 from UI.SlitSizeCalculator import Ui_SlitSizeCalculator
 from sas.sascalc.dataloader.loader import Loader
-from sas.sasgui.guiframe.dataFitting import Data1D
-from sas.sasgui.guiframe.dataFitting import Data2D
 from sas.sascalc.calculator.slit_length_calculator import SlitlengthCalculator
 
@@ -11,4 +9,7 @@
 
 class SlitSizeCalculator(QtGui.QDialog, Ui_SlitSizeCalculator):
+    """
+    Provides the slit length calculator GUI.
+    """
     def __init__(self, parent=None):
         super(SlitSizeCalculator, self).__init__()
@@ -31,5 +32,5 @@
     def onHelp(self):
         """
-        Bring up the Kiessig fringe calculator Documentation whenever
+        Bring up the Slit Size Calculator calculator Documentation whenever
         the HELP button is clicked.
         Calls DocumentationWindow with the path of the location within the
@@ -48,5 +49,5 @@
     def onBrowse(self):
         """
-        Execute the computation of thickness
+        Browse the file and calculate slit lenght upon loading
         """
         path_str = self.chooseFile()
@@ -57,5 +58,4 @@
 
         self.data_file.setText(os.path.basename(path_str))
-        #We are loading data for one model only therefor index 0
         self.calculateSlitSize(data)
 
@@ -70,4 +70,5 @@
                 "SAXSess 1D data (*.txt *.TXT *.dat *.DAT)", None,
                 QtGui.QFileDialog.DontUseNativeDialog)
+
         if path is None:
             return
@@ -86,5 +87,5 @@
     def calculateSlitSize(self, data=None):
         """
-            Complete the loading and compute the slit size
+        Computes slit lenght from given 1D data
         """
 
@@ -93,5 +94,5 @@
             raise RuntimeError, msg
 
-        if isinstance(data, Data2D) or data.__class__.__name__ == 'Data2D':
+        if data.__class__.__name__ == 'Data2D':
             msg = "Slit Length cannot be computed for 2D Data"
             raise Exception, msg
@@ -101,5 +102,5 @@
              x = data.x
              y = data.y
-             if x == [] or  x is None or y == [] or y is None:
+             if x == [] or x is None or y == [] or y is None:
                  msg = "The current data is empty please check x and y"
                  raise ValueError, msg
@@ -113,5 +114,6 @@
         slit_length_str = "{:.5f}".format(slit_length)
         self.slit_length_out.setText(slit_length_str)
-        #Display unit
+
+        #Display unit, which most likely needs to be 1/Ang but needs to be confirmed
         self.unit_out.setText("[Unknown]")
 
Index: src/sas/qtgui/UnitTesting/SlitSizeCalculatorTest.py
===================================================================
--- src/sas/qtgui/UnitTesting/SlitSizeCalculatorTest.py	(revision 3a0ce4f996ce85ad53dba3242e6a032ce29ae8ce)
+++ src/sas/qtgui/UnitTesting/SlitSizeCalculatorTest.py	(revision debf5c3b08f61c4453e07a7454242eb2d96bfe9a)
@@ -38,40 +38,4 @@
         self.widget.onHelp()
 
-    def testCalculateSlitSize(self):
-        """ User entered compound calculations and subsequent reset"""
-
-        filename = "beam_profile.DAT"
-        loader = Loader()
-        data = loader.load(filename)
-
-        self.widget.calculateSlitSize(data)
-        # The value "5.5858" was obtained by manual calculation.
-        # It turns out our slit length is FWHM/2
-        self.assertAlmostEqual(float(self.widget.slit_length_out.text()), 5.5858/2, 3)
-
-    def testCalculateSlitSize2D(self):
-        """ User entered compound calculations and subsequent reset"""
-
-        #TODO: Test for 2D and check if exception is being raised
-        filename = "beam_profile.DAT"
-        loader = Loader()
-        data = loader.load(filename)
-
-        self.widget.calculateSlitSize(data)
-        # The value "5.5858" was obtained by manual calculation.
-        # It turns out our slit length is FWHM/2
-        self.assertAlmostEqual(float(self.widget.slit_length_out.text()), 5.5858/2, 3)
-
-    # def testDataEntryNumbers(self):
-    #      """ User entered compound calculations and subsequent reset"""
-    #
-    #      self.widget.data_file.clear()
-    #      self.widget.data_file.insert("beam profile.DAT")
-    #      #
-    #      # Push Compute with the left mouse button
-    #      computeButton = self.widget.computeButton
-    #      QTest.mouseClick(computeButton, Qt.LeftButton)
-    #      self.assertEqual(self.widget.lengthscale_out.text(), '6.283')
-
     def testBrowseButton(self):
         browseButton = self.widget.browseButton
@@ -100,25 +64,39 @@
         QtGui.QFileDialog.getOpenFileName.assert_called_once()
 
-    # def testDataEntryNumbers(self):
-    #     """ User entered compound calculations and subsequent reset"""
-    #
-    #     self.widget.data_file.clear()
-    #     self.widget.data_file.insert("beam profile.DAT")
-    #     #
-    #     # Push Compute with the left mouse button
-    #     computeButton = self.widget.computeButton
-    #     QTest.mouseClick(computeButton, Qt.LeftButton)
-    #     self.assertEqual(self.widget.lengthscale_out.text(), '6.283')
-    #
-    #
-    # def testComplexEntryLetters(self):
-    #     """ User entered compound calculations and subsequent reset"""
-    #
-    #     self.widget.deltaq_in.insert("xyz")
-    #
-    #     # Push Compute with the left mouse button
-    #     computeButton = self.widget.computeButton
-    #     QTest.mouseClick(computeButton, Qt.LeftButton)
-    #     self.assertEqual(self.widget.lengthscale_out.text(), '')
+
+    def testCalculateSlitSize(self):
+        """ Test slit size calculated value """
+
+        filename = "beam_profile.DAT"
+        loader = Loader()
+        data = loader.load(filename)
+
+        self.widget.calculateSlitSize(data)
+        # The value "5.5858" was obtained by manual calculation.
+        # It turns out our slit length is FWHM/2
+        self.assertAlmostEqual(float(self.widget.slit_length_out.text()), 5.5858/2, 3)
+
+    def testWrongInput(self):
+        """ Test on wrong input data """
+
+        filename = "Dec07031.ASC"
+        loader = Loader()
+        data = loader.load(filename)
+        self.assertRaisesRegexp(Exception,
+                                "Slit Length cannot be computed for 2D Data",
+                                self.widget.calculateSlitSize, data)
+
+        filename = "empty_file.txt"
+        loader = Loader()
+        data = loader.load(filename)
+        self.assertRaisesRegexp(RuntimeError,
+                                "ERROR: Data hasn't been loaded correctly",
+                                self.widget.calculateSlitSize, data)
+
+        data = None
+        self.assertRaisesRegexp(RuntimeError,
+                                "ERROR: Data hasn't been loaded correctly",
+                                self.widget.calculateSlitSize, data)
+
 
 if __name__ == "__main__":
Index: src/sas/qtgui/beam_profile.DAT
===================================================================
--- src/sas/qtgui/beam_profile.DAT	(revision debf5c3b08f61c4453e07a7454242eb2d96bfe9a)
+++ src/sas/qtgui/beam_profile.DAT	(revision debf5c3b08f61c4453e07a7454242eb2d96bfe9a)
@@ -0,0 +1,54 @@
+                                                                                
+SAXS BOX                                                                       
+       49        30         0         0         0         0         0         0
+  0.000000E+00   0.261200E+03   0.000000E+00   0.100000E+01   0.154200E+00
+  0.100000E+01   0.155999E+01   0.000000E+00   0.000000E+00   0.000000E+00
+  0.000000E+00   0.100000E+01   0.836825E+02
+  0.754396E-01   0.975440E+00   0.938981E+02
+  0.150879E+00   0.975745E+00   0.991879E+02
+  0.226319E+00   0.975473E+00   0.767819E+02
+  0.301758E+00   0.974517E+00   0.131319E+03
+  0.377198E+00   0.973001E+00   0.817830E+02
+  0.452637E+00   0.969088E+00   0.668273E+02
+  0.528077E+00   0.967890E+00   0.934950E+02
+  0.603517E+00   0.975536E+00   0.116805E+03
+  0.678956E+00   0.982809E+00   0.966191E+02
+  0.754396E+00   0.982538E+00   0.138675E+03
+  0.829835E+00   0.985082E+00  -0.100000E+01
+  0.905275E+00   0.991786E+00  -0.100000E+01
+  0.980715E+00   0.988353E+00  -0.100000E+01
+  0.105615E+01   0.977319E+00  -0.100000E+01
+  0.113159E+01   0.973398E+00  -0.100000E+01
+  0.120703E+01   0.975829E+00  -0.100000E+01
+  0.128247E+01   0.978032E+00  -0.100000E+01
+  0.135791E+01   0.977557E+00  -0.100000E+01
+  0.143335E+01   0.976422E+00  -0.100000E+01
+  0.150879E+01   0.982926E+00  -0.100000E+01
+  0.158423E+01   0.991207E+00  -0.100000E+01
+  0.165967E+01   0.982255E+00  -0.100000E+01
+  0.173511E+01   0.968295E+00  -0.100000E+01
+  0.181055E+01   0.973161E+00  -0.100000E+01
+  0.188599E+01   0.980441E+00  -0.100000E+01
+  0.196143E+01   0.973060E+00  -0.100000E+01
+  0.203687E+01   0.967479E+00  -0.100000E+01
+  0.211231E+01   0.968228E+00  -0.100000E+01
+  0.218775E+01   0.954858E+00  -0.100000E+01
+  0.226319E+01   0.920322E+00  -0.100000E+01
+  0.233863E+01   0.870665E+00  -0.100000E+01
+  0.241407E+01   0.814629E+00  -0.100000E+01
+  0.248951E+01   0.758434E+00  -0.100000E+01
+  0.256495E+01   0.694671E+00  -0.100000E+01
+  0.264039E+01   0.621470E+00  -0.100000E+01
+  0.271583E+01   0.554105E+00  -0.100000E+01
+  0.279126E+01   0.490278E+00  -0.100000E+01
+  0.286670E+01   0.408652E+00  -0.100000E+01
+  0.294214E+01   0.321530E+00  -0.100000E+01
+  0.301758E+01   0.255968E+00  -0.100000E+01
+  0.309302E+01   0.200420E+00  -0.100000E+01
+  0.316846E+01   0.140477E+00  -0.100000E+01
+  0.324390E+01   0.907699E-01  -0.100000E+01
+  0.331934E+01   0.593287E-01  -0.100000E+01
+  0.339478E+01   0.366914E-01  -0.100000E+01
+  0.347022E+01   0.198629E-01  -0.100000E+01
+  0.354566E+01   0.120037E-01  -0.100000E+01
+  0.362110E+01   0.110363E-01  -0.100000E+01
